PWCK(8)

NOME
pwck - verifica l'integrità dei file delle password

SINOSSI

pwck [opzioni] [passwd [ shadow ]]

DESCRIZIONE

The pwck command verifies the integrity of the users and authentication information. It checks that all entries in /etc/passwd and /etc/shadow have the proper format and contain valid data. The user is prompted to delete entries that are improperly formatted or which have other uncorrectable errors.

Vengono fatti controlli per verificare che ogni voce abbia:

    • il corretto numero di campi

    • un nome utente univoco e valido

    • identificatori validi dell'utente e del gruppo

    • un gruppo primario valido

    • una home directory valida

    • una shell di login valida

shadow checks are enabled when a second file parameter is specified or when /etc/shadow exists on the system.

Le verifiche sono le seguenti:

    • ogni elemento del file passwd deve avere un corrispondente elemento in shadow, e viceversa

    • le password sono specificate nel file shadow

    • gli elementi di shadow hanno il corretto numero di campi

    • gli elementi di shadow sono unici

    • le date di ultima modifica non sono nel futuro

The checks for correct number of fields and unique user name are fatal. If the entry has the wrong number of fields, the user will be prompted to delete the entire line. If the user does not answer affirmatively, all further checks are bypassed. An entry with a duplicated user name is prompted for deletion, but the remaining checks will still be made. All other errors are warning and the user is encouraged to run the usermod command to correct the error.

The commands which operate on the /etc/passwd file are not able to alter corrupted or duplicated entries. pwck should be used in those circumstances to remove the offending entry.

OPZIONI

The -r and -s options cannot be combined.

The options which apply to the pwck command are:

--badname
    Allow names that do not conform to standards.

-h, --help
    Mostra un messaggio di aiuto ed esce.

-q, --quiet
    Riporta solo gli errori. Gli avvisi che non richiedono azioni da parte dell'utente non sono mostrati.

-r, --read-only
    Execute the pwck command in read-only mode.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory.

-s, --sort
    Sort entries in /etc/passwd and /etc/shadow by UID.

By default, pwck operates on the files /etc/passwd and /etc/shadow. The user may select alternate files with the passwd and shadow parameters.

CONFIGURAZIONE

The following configuration variables in /etc/login.defs change the behavior of this tool:

NONEXISTENT (string)
    If a system account intentionally does not have a home directory that exists, this string can be provided in the /etc/passwd entry for the account to indicate this. The result is that pwck will not emit a spurious warning for this account.

PASS_MAX_DAYS (number)
    Il numero massimo di giorni che una password può essere utilizzata. Se la password è più vecchia verrà imposto il suo cambiamento. Se non specificato viene assunto -1 (che disabilita questo controllo).

PASS_MIN_DAYS (number)
    The minimum number of days allowed between password changes. Any password changes attempted sooner than this will be rejected. If not specified, 0 will be assumed (which disables the restriction).

PASS_WARN_AGE (number)
    Il numero di giorni per i quali un utente va avvisato che la sua password sta per scadere. Se zero l'utente viene avvisato solo alla scadenza. Un valore negativo indica che non si deve avvisare mai. Se non specificato allora non c'è nessun avviso.

FILE

/etc/group
    Informazioni sugli account di gruppo.

/etc/passwd
    Informazioni sugli account utente.

/etc/shadow
    Informazioni sicure sugli account utente.

VALORI RESTITUITI

The pwck command exits with the following values:

0
    success

1
    invalid command syntax

2
    one or more bad password entries

3
    can't open password files

4
    can't lock password files

5
    can't update password files

6
    can't sort password files

VEDERE ANCHE

group(5), grpck(8), passwd(5), shadow(5), usermod(8).